Bug 12591 - vfs_streams_xattr: use fsp, not base_fsp
vfs_streams_xattr: use fsp, not base_fsp
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 12496
  Show dependency treegraph
 
Reported: 2017-02-17 08:30 UTC by Ralph Böhme
Modified: 2017-03-27 17:41 UTC (History)
2 users (show)

See Also:


Attachments
Possible patch for master (4.40 KB, patch)
2017-02-17 08:30 UTC, Ralph Böhme
no flags Details
git-am fix for 4.6.next, 4.5.next, 4.4.next (4.76 KB, patch)
2017-02-22 18:13 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-02-17 08:30:57 UTC
Created attachment 12957 [details]
Possible patch for master

The base_fsp's fd is always -1 as it's closed after being openend in create_file_unixpath().

Possible patch attached, currently running a private autobuild with it.
Comment 1 Ralph Böhme 2017-02-17 17:53:22 UTC
Ok, this passed a private autobuild. I just need some more time to figure out and test the effect on the current vfs_fruit code.
Comment 2 Jeremy Allison 2017-02-22 18:13:58 UTC
Created attachment 12969 [details]
git-am fix for 4.6.next, 4.5.next, 4.4.next

Cherry-picked from master.
Comment 3 Ralph Böhme 2017-02-22 18:16:33 UTC
Reassigning to Karolin for inclusion in 4.4, 4.5 and 4.6.
Comment 4 Karolin Seeger 2017-02-24 10:55:31 UTC
(In reply to Ralph Böhme from comment #3)
Pushed to autobuild-v4-{6,5,4}-test.
Comment 5 Stefan Metzmacher 2017-02-28 08:40:08 UTC
(In reply to Karolin Seeger from comment #4)

Pushed to v4-{4,5,6}-test.